import { timeSelectProps } from "element-plus";

// 首页轮播图
export class CarouselItem {
    url: string;
    title: string;
    content: string;
  
    constructor(url: string, title: string, content: string) {
      this.url = url;
      this.title = title;
      this.content = content;
    }
  }
 
//   合作过的客户
export class CooperativeClient {
    url: string;
    name: string;
    desc: string;
  
    constructor(url: string, name: string, desc: string) {
      this.url = url;
      this.name = name;
      this.desc = desc;
    }
  }

  //   产品中心
export class ProductCenter {
    url: string;
    name: string;
    desc: string;
  
    constructor(url: string, name: string, desc: string) {
      this.url = url;
      this.name = name;
      this.desc = desc;
    }
  }
  
  export class CompanyInfo {
    logo: string; // logo
    name: string; // 公司名称
    desc: string; // 公司描述
    address: string; // 公司地址
    wechat: string;
    phoneHotList: Array<string>; // 热线
    phoneSaleAfterList: Array<string>; // 售后电话
    qrCodeList: Array<CompanyQrCodeInfo>; // 二维码

    constructor(logo: string, name: string, desc: string,address: string,wechat:string,phoneHotList: Array<string>,phoneSaleAfterList: Array<string>,qrCodeList: Array<CompanyQrCodeInfo>) {
        this.logo = logo;
        this.name = name;
        this.desc = desc;
        this.address = address;
        this.phoneHotList = phoneHotList;
        this.phoneSaleAfterList = phoneSaleAfterList;
        this.qrCodeList = qrCodeList;
      }
  }


  export class CompanyQrCodeInfo {
    url: string; // logo
    name: string; // 公司名称
   
    constructor(url: string, name: string) {
        this.url=url
        this.name=name
      }
  }


  // 产品中心-菜单
  export interface MenuItem {
    index: string;
    title: string;
    icon?: any;
    subMenu?: MenuItem[];
  }

  